<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough">
    <h:body>
        <ui:composition template="../layout_e.xhtml">
            <ui:define name="titulo">MusicApp | Evaluaciones</ui:define>
            <ui:define name="encabezado">Mis Evaluaciones Activas</ui:define>
            <ui:define name="contenido">
                <ui:repeat value="#{evaluacionBean.listarEvaluaciones()}" var="evaluacion" varStatus="estado">
                    <div class="row">
                        <div class="col-md-8 col-md-offset-2">

                            <!-- Box Comment -->
                            <div class="box box-widget  nav-tabs-custom">
                                <ul class="nav nav-tabs">
                                    <li class="active"><a data-toggle="tab" href="#home#{evaluacion.id}">Instrucciones</a></li>
                                    <li><a data-toggle="tab" href="#menu#{evaluacion.id}">Enviar Evaluación</a></li>
                                </ul>
                                <div class="tab-content">
                                    <div id="home#{evaluacion.id}" class="tab-pane fade in active">
                                        <div class="box-header with-border">
                                            <div class="user-block">                                   
                                                <h:graphicImage class="img-circle" library="images" name="profile/#{evaluacion.usuario.foto}" alt="User Image" />
                                                <span class="username"><a href="#">#{evaluacion.usuario.nombre}</a></span>
                                                <span class="description">Publicado  #{evaluacion.fechaPublicacion}</span>
                                            </div>
                                            <!-- /.user-block -->                                            
                                            <!-- /.box-tools -->
                                        </div>
                                        <!-- /.box-header -->
                                        <div class="box-body" style="display: block;">
                                            <h:graphicImage class="img-responsive pad" library="dist" name="img/photo2.png" />
                                            <p><b>Tipo de Evaluación: </b>#{evaluacion.tipo}</p>
                                            <p><b>Instrumento: </b>#{evaluacion.instrumento}</p>
                                            <p><b>Tema: </b>#{evaluacion.tema}</p>
                                            <p>#{evaluacion.contenido}</p>

                                        </div>                                                                        
                                        <!-- /.box-body -->
                                    </div>
                                    
                                    <div id="menu#{evaluacion.id}" class="tab-pane fade">

                                        <!-- /.box-footer -->
                                        <div class="box-footer" style="display: block;">
                                            <h:form enctype="multipart/form-data">
                                                <h:graphicImage class="img-circle img-sm" library="images" name="profile/#{udentro.foto}" alt="User Image" />
                                                <!-- .img-push is used to add margin to elements next to floating images -->
                                                <div class="img-push">
                                                    <h:inputTextarea value="#{evaluacionEstudianteBean.evaluacion.comentario}" a:placeholder="Deja un comentario adicional (opcional)" class="col-md-12" />
                                                    
                                                    <div class="form-group">
                                                        <label for="attach_evaluacion">Adjuntar Audio (mp3)</label>
                                                        <h:inputFile value="#{evaluacionEstudianteBean.audio}"/>
                                                    </div>
                                                    <div class="box-footer">                                                        
                                                        <h:commandButton value="Enviar" 
                                                 class="btn btn-primary"
                                                 action="#{evaluacionEstudianteBean.registrarEvaluacionEstudiante()}"/>  
                                                    </div>
                                                </div>
                                            </h:form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ui:repeat>
            </ui:define>  
        </ui:composition>
    </h:body> 
</html>